Package twisted :: Package protocols :: Module basic

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.basic

Basic protocols, such as line-oriented, netstring, and 32-bit-int prefixed strings.

API Stability: semi-stable.

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`Int16StringReceiver` | A receiver for int16-prefixed strings.
`Int32StringReceiver` | A receiver for int32-prefixed strings.
`LineReceiver` | A protocol that receives lines and/or raw data, depending on mode.
`NetstringReceiver` | This uses djb's Netstrings protocol to break up the input into strings.
`SafeNetstringReceiver` | This class is deprecated, use NetstringReceiver instead.
`StatefulStringProtocol` | A stateful string protocol.

Exceptions
`NetstringParseError` | The incoming data is not in valid Netstring format.

Variable Summary
`int` | `COMMA`
`int` | `DATA`
`int` | `DEBUG`
`int` | `LENGTH`
`SRE_Pattern` | `NUMBER`

Variable Details

### COMMA

  Type:
    `int`
  Value:

        2

### DATA

  Type:
    `int`
  Value:

        1

### DEBUG

  Type:
    `int`
  Value:

        0

### LENGTH

  Type:
    `int`
  Value:

        0

### NUMBER

  Type:
    `SRE_Pattern`
  Value:

        (\d*)(:?)

Generated by Epydoc 1.1 on Thu May 8 13:16:35 2003 | http://epydoc.sf.net